#!perl

# Copyright (C) 2007, The Perl Foundation.
# $Id: /mirror/trunk/languages/PIR/t/exotic.t 23862 2007-12-13T19:17:06.434144Z kjs  $

use strict;
use warnings;
use lib qw(t . lib ../lib ../../lib ../../../lib);
use Parrot::Test tests => 4;
use Test::More;



language_output_like( 'PIR_PGE', <<'CODE', qr/Parse successful!/, '' );
.sub main

    x = y[x,y;x,y]

.end
CODE

language_output_like( 'PIR_PGE', <<'CODE', qr/Parse successful!/, '' );

.sub main
    x.hello()
    x.'hello'()
.end

CODE

language_output_like( 'PIR_PGE', <<'CODE', qr/Parse successful!/, '' );
.sub main


.end
CODE

language_output_like( 'PIR_PGE', <<'CODE', qr/Parse successful!/, '' );
.sub main


.end
CODE
